<tr>
  <td>{{format-date @event.date}}</td>
  {{#if (eq @event.type "BUY")}}
    <td>{{@event.type}}: {{format-money @event.price}} => {{format-money @event.quantity}}</td>
  {{else}}
    <td>{{@event.type}}: {{format-money @event.quantity}} => {{format-money @event.price}}</td>
  {{/if}}
  <td class="text-right py-0 align-middle">
    <BsButtonGroup as |bg|>
      <bg.button @type="danger" @onClick={{this.toggleConfirmationModalVisibility}}>
        <FaIcon @icon="trash" />
      </bg.button>
    </BsButtonGroup>
  </td>
</tr>

<Modals::DeleteModal
  @deletionText="Supprimer ?"
  @onDelete={{this.delete}}
  @onHidden={{this.toggleConfirmationModalVisibility}}
  @visible={{this.deleteConfirmationModalVisible}}
/>